Skip to main content
POST

Scan API

Retrieve transactions and synchronizer reassignments prior to the request’s specification

OpenAPISince 0.5.10Changed 0.6.0
Retrieve transactions and synchronizer reassignments prior to the request’s specification.

Protocol Details

Operation IDgetUpdatesBefore
Published0.7.4
SpecificationDownload OpenAPI

Inputs

Request body

application/json
number
required
OpenAPI type: integer (int64).
string
required
string
required
OpenAPI type: string (date-time).Only return updates with a record time strictly smaller than this time.
string
OpenAPI type: string (date-time).Only return updates with a record time equal to or greater than this time.
number
required
OpenAPI type: integer (int32).Return at most this many updates. The actual number of updates returned may be smaller.

Outputs

200

application/json
UpdateHistoryItem[]
required

404

application/json
string
required

History

Changed0.6.0

The POST /v0/backfilling/updates-before operation changed in this snapshot.

Changed0.5.17

The POST /v0/backfilling/updates-before operation changed in this snapshot.

Introduced0.5.10